Série temporal de e-mails

gethttps://app.madmail.com.br/api/v1/analytics/email-time-series

Requer autenticação: Authorization: Bearer us_SUA_CHAVE

Parâmetros de consulta

daysstringOpcional

Número de dias para recuperar os dados (padrão: 30)

Valores:
"7" · "30"
domainIdstringOpcional

Filtrar por ID do domínio

Exemplo de requisição

curl -X GET "https://app.madmail.com.br/api/v1/analytics/email-time-series" \
  -H "Authorization: Bearer us_SUA_CHAVE"

Resposta

200

Recupera a série temporal de dados de e-mail

resultarray<object>Obrigatório
datestringObrigatório
sentintegerObrigatório
deliveredintegerObrigatório
openedintegerObrigatório
clickedintegerObrigatório
bouncedintegerObrigatório
complainedintegerObrigatório
totalCountsobjectObrigatório
sentintegerObrigatório
deliveredintegerObrigatório
openedintegerObrigatório
clickedintegerObrigatório
bouncedintegerObrigatório
complainedintegerObrigatório
{
  "result": [
    {
      "date": "string",
      "sent": 1,
      "delivered": 1,
      "opened": 1,
      "clicked": 1,
      "bounced": 1,
      "complained": 1
    }
  ],
  "totalCounts": {
    "sent": 1,
    "delivered": 1,
    "opened": 1,
    "clicked": 1,
    "bounced": 1,
    "complained": 1
  }
}